@import "../../colors.scss";

.loadingSpinner {
  display: inline-block;
  width: 80px;
  height: 80px;
}
.loadingSpinner:after {
  content: " ";
  display: block;
  width: 64px;
  height: 64px;
  margin: 8px;
  border-radius: 50%;
  border: 6px solid $green;
  border-color: $green transparent $green transparent;
  animation: lds-dual-ring 1.2s linear infinite;
}

.loadingSpinnerSmall {
  display: inline-block;
  width: 40px;
  height: 40px;
}
.loadingSpinnerSmall:after {
  content: " ";
  display: block;
  width: 34px;
  height: 34px;
  margin: 8px;
  border-radius: 50%;
  border: 3px solid $green;
  border-color: $green transparent $green transparent;
  animation: lds-dual-ring 1.2s linear infinite;
}

@keyframes lds-dual-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.wrapper {
  display: flex;
  justify-content: center;
}

.modal {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  z-index: 100;
  height: 100%;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  top: 0;
  left: 0;
}
